> ## Name

> cgGetUniformBufferParameter - get the buffer associated with a uniform buffer parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbuffer cgGetUniformBufferParameter( CGparameter param );

> ## Parameters

> param
>   The parameter from which the associated buffer will be returned.

> ## Return Values

> Returns the handle of the CGbuffer object which is associated with param.

> Returns NULL if no buffer is associated with param or an error occurs.

> ## Description

> cgGetUniformBufferParameter gets the buffer associated with a given uniform buffer parameter.

> ## Examples

>         CGbuffer myBuffer = cgGetUniformBufferParameter( myParam );

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter handle.

> CG_INVALID_PARAMETER_TYPE_ERROR is generated if param is not a uniform buffer parameter.

> ## History

> cgGetUniformBufferParameter was introduced in Cg 3.1.

> ## See Also

> cgSetUniformBufferParameter, cgCreateBuffer, cgGLBindProgram, cgD3D9BindProgram